\ MPE definitions for compatability with earlier targets.

\ 19980424 MSD001 Add CPU32? test and use of long extend to TEST-BITMAP.

((
        Copyright (c) 1988-1998
        MicroProcessor Engineering
        133 Hill Lane
        Southampton SO15 5AF
        England

        tel: +44 2380 631441
        fax: +44 2380 339691
        net: mpe@mpeltd.demon.co.uk
             tech-support@mpeltd.demon.co.uk
        web: www.mpeltd.demon.co.uk
))

\ (#in) #in $in
\
: (#IN)  (  --  n flag  )
  0 0                                                   \ n #chars --
  begin
    key dup 13 -
  while
    dup 8 =
    if
      drop dup if  swap #10 / swap 1- bs  then
    else
      dup  [char] 0  [char] 9 within?
      if
        dup emit [char] 0 -  rot #10 * +  swap 1+
      else
        drop bell
      then
    then
  repeat
  drop
;

: #IN  (  --  n  )
  0
  begin
    drop
    (#in)
  until
;

: $IN  (  c-addr  --  u  )
  0
  begin
    dup  key dup 13 <>  rot c/l 1- <  and
  while
    dup 8  =                                            \ back space?
    if
      drop dup if  1- bs  then
    else
      dup 32 127 within?
      if
        dup emit  >r 2dup + 1+ r>
        swap c!
        1+
      else
        drop  bell
      then
    then
  repeat
  drop  dup rot c!
;

: ASCII  (  Comp:  "<spaces>name"  --  ;  Run:  --  char  )
  bl word 1+ c@  state @
  if
    [compile] literal
  then
;
IMMEDIATE

: ENDIF  ( C: orig  --  ) ( Run:  --  )
  [compile] then
;
IMMEDIATE

CODE TEST-BITMAP  (  u  c-addr  --  flag  )
  d7 A0 MOVEA,
  (A6)+ D0 MOVE,   D0 D1 MOVE,
  3 # D1 LSR,   D1 A0 ADDA,   D0 NOT,
  D0 (A0) BTST,
  D7 SNE,                                                                       \ MSD001
  cpu32? if( d7 l. extb, )else( d7 w. ext,  d7 l. ext, )endif                   \ MSD001
  next,
END-CODE

CODE SET-BITMAP  (  u  c-addr  --  )
  d7 A0 MOVEA,
  (A6)+ D0 MOVE,   D0 D1 MOVE,
  3 # D1 LSR,   D1 A0 ADDA,   D0 NOT,
  D0 (A0) BSET,
  (a6)+ d7 move,   next,
END-CODE

CODE CLR-BITMAP  (  u c-addr  --  )
  d7 A0 MOVEA,
  (A6)+ D0 MOVE,   D0 D1 MOVE,
  3 # D1 LSR,   D1 A0 ADDA,   D0 NOT,
  D0 (A0) BCLR,
  (a6)+ d7 move,   next,
END-CODE

