\ ANS ENVIRONMENT?

((
Released for use with the MPE Forth Cross Compiler by:
and copyright (c) 1995-2002

MicroProcessor Engineering
133 Hill Lane
Southampton SO15 5AF
England

tel: +44 (0)23 8063 1441
fax: +44 (0)23 8033 9691
net: mpe@mpeltd.demon.co.uk
     tech-support@mpeltd.demon.co.uk

To do
=====


Change history
==============
20021002 SFP004 Added DOCGEN comments.
19980225 MSD003 Added a missing "TRUE" from the "OK" path through the word
         MSD003 ENVIRONMENT?
19980225 MSD002 Changed all the words to CONSTANTs or 2CONSTANTs.
19980122 MSD001 Fix ENVIRONMENT? by adding a fetch after the >BODY - one
                level of indirection was missing.
))

\ ==========
\ *! environ
\ *T ANS Environment System
\ ==========
\ *P The file COMMON\ENVIRON.FTH provides the ANS ENVIRONMENT? word,
\ ** and some basic environment data.

Vocabulary Environment			\ used for enviroment? queries
\ *G The vocabulary within which environment data is kept.

also environment definitions

#255                    constant /COUNTED-STRING
picnumsize              constant /HOLD
padsize                 constant /PAD
true                    constant CORE
true                    constant CORE-EXT
false                   constant FLOORED
#255                    constant MAX-CHAR
32bit? [if]
#32 			constant ADDRESS-UNIT-BITS
$FFFFFFFF $7FFFFFFF    2constant MAX-D
$7FFFFFFF               constant MAX-N
$FFFFFFFF               constant MAX-U
$FFFFFFFF $FFFFFFFF    2constant MAX-UD
[else]
#16 			constant ADDRESS-UNIT-BITS
$FFFF $7FFF            2constant MAX-D
$7FFF                   constant MAX-N
$FFFF                   constant MAX-U
$FFFF $FFFF            2constant MAX-UD
[then]

rp-size cell /          constant RETURN-STACK-CELLS
sp-size cell /          constant STACK-CELLS

previous definitions

: ENVIRONMENT?	\ c-addr u --  false | i*x true 
\ *G The string is treated as a word name. If it is found
\ ** in the ENVIRONMENT vocabulary, the word is executed
\ ** the results of executing it plus true are returned,
\ ** otherwise just false is returned.
  here place                            \ convert back to counted string
  here count upper                      \ convert to upper case
  here count ['] environment >body @
  search-wordlist if			\ see if name exists    \ MSD001
    execute TRUE
  else
    FALSE                                               \ no
  endif
;


\ ======
\ *> ###
\ ======

