\ Forth6 - SEREND.FTH - target independant serial driver code

\ 19980309 SFP002 Made use of OUT as byte variable consistent
\                 N.B. Serial driver files must not reference OUT
\ 19980305 MSD001 Change all references to SEND-MESSAGE to SEND-TO-HOST after
\          MSD001 this word was re-named in TARGEND.FTH.

((
Copyright (c) 1988-1998
MicroProcessor Engineering
133 Hill Lane
Southampton SO15 5AF
England

tel: +44 1703 631441
fax: +44 1703 339691
net: mpe@mpeltd.demon.co.uk
     tech-support@mpeltd.demon.co.uk
web: www.mpeltd.demon.co.uk
))

\ Umbilical Forth i/o

hex

Umbilical? [if]

  : key?          \ -- t/f
    key?-cmnd>h send-to-host  ;                                                 \ MSD001

  : key           \ -- char
    key-cmnd>h send-to-host  ;                                                  \ MSD001

  : emit          \ char -- ; send character
    emit-cmnd>h send-to-host  1 out c+!  ;                                      \ MSD001

  : .             \ n -- ; display n
    .-cmnd>h send-to-host ;                                                     \ MSD001 

  : type          \ addr len -- ; display string
    dup out c+!
    type-cmnd>h send-to-host  ;                                                 \ MSD001

  : cr            \ -- ; issue <cr><lf>
    $0d emit  $0a emit  0 out c!  ;

[else]

  : key?          \ -- t/f
    (key?)  ;

  : key           \ -- char
    (key)  ;

  : emit          \ char -- ; send character
    1 out c+!
    (emit)  ;

  : type                \ addr len --
    dup out c+!
    (type)  ;

  : cr          \ --
    0 out c!
    (cr)  ;

[then]

