
\ 19980803 MSD001 The tests were assuming that a resized block was at the same
\          MSD001 address as the original, even when the new block size was
\          MSD001 *larger* than the original.  In fact, of course, one can make
\          MSD001 *NO* assumptions about the new block size, even if the new
\          MSD001 block size is *smaller* than the original; the internal
\          MSD001 behaviour of the heap management system is simply *undefined*.

\ based on the following core test words
\ From: John Hayes S1I
\ Subject: core.fr
\ Date: Mon, 27 Nov 95 13:10
\ MUST load tester.fth first !!!!
\ reload
\ marker reload
Testing MEMORY Extension words
hex

0	 CONSTANT 0S
0 INVERT CONSTANT 1S
0S CONSTANT <FALSE>
1S CONSTANT <TRUE>

\ ------------------------------------------------------------------------
TESTING ALLOCATE RESIZE FREE

\ init-heap

variable blkstart

{ 100 allocate swap blkstart ! -> 0 }
{ blkstart @ free -> 0 }
{ 100 allocate swap blkstart ! -> 0 }                                           \ MSD001

{ blkstart @ 200 resize swap blkstart ! -> 0 }                                  \ MSD001
{ blkstart @ free -> 0 }
{ 100 allocate swap blkstart ! -> 0 }                                           \ MSD001
{ blkstart @ free -> 0 }

