\ TYPEDEFS.FTH - for Bitmap converter for ARM Dev Kit QVGA panel

((
Copyright (c) 2001
MicroProcessor Engineering
133 Hill Lane
Southampton SO15 5AF
England

tel: +44 (0)23 8063 1441
fax: +44 (0)23 8033 9691
net: mpe@mpeltd.demon.co.uk
     tech-support@mpeltd.demon.co.uk
web: www.mpeltd.demon.co.uk

From North America, our telephone and fax numbers are:
  011 44 23 8063 1441
  011 44 23 8033 9691


To do
=====

Change history
==============
))

true constant turnkey?          \ set for stand alone app

turnkey? [defined] install-debugger and [if]
  cr ." Foobar, cannot build on PFWVFX, use PFWBASE.EXE" cr
  abort
[then]

: wordfield 2 field ;

: cellfield 4 field ;

: charfield 1 field ;

0 value BMP_File
0 value BMP_Header_struct
0 value BMP_Info_Struct
0 value Colour_table
0 value Clr_table_size
0 value Picture_Data
0 value OP_File
0 value Conv_Buff
0 value Conv_buff2


0 constant BI_RGB
1 constant BI_RLE8
2 constant BI_RLE4

struct BMP_File_Header 
wordfield	bfType
cellfield	bfSize
wordfield	bfRsvd1
wordfield	bfRsvd2
cellfield	bfOffs
end-struct

struct BMP_Info_header
cellfield	biSize
cellfield	biWidth
cellfield	biHeight
wordfield	biPlanes
wordfield	biBitCount
cellfield	biCompression
cellfield	biSizeImage
cellfield	biXPelsPerMetre
cellfield	biYPelsPerMetre
cellfield	biClrUsed
cellfield	biClrImportant
cellfield	biAddrClrTable
end-struct

#define IDC_STATIC                      -1


#define IDD_DIALOG1                     101
#define IDC_EDIT1                       1000
#define IDC_BUTTON1                     1001
#define IDC_EDIT2                       1002
#define IDC_BUTTON2                     1003
#define IDC_IMAGE                       1004
#define IDC_PREVIEW			1005
