\ CMS Micro-Module 68307 simple LED driver

\ 19981019 MSD001 Remove use of A0 as this is now used as the constant "zero".

((
Copyright (c) 1998
MicroProcessor Engineering
133 Hill Lane
Southampton SO15 5AF
England

tel: +44 2380 631441
fax: +44 2380 339691
net: mpe@mpeltd.demon.co.uk
     tech-support@mpeltd.demon.co.uk
web: www.mpeltd.demon.co.uk
))


\ ------------------------------------------------------------------------------
\       basic LED functions
\ ------------------------------------------------------------------------------

code led-init  (  -- ; initialise Port B ready for LED use, LED is left off )
  # MBASE  a1  movea,           \ base address of registers                     \ MSD001
  # $0  PBCNT d(a1)  bclr,      \ PB8 general purpose I/O                       \ MSD001
  # $0  PBDAT d(a1)  bset,      \ make sure LED is off                          \ MSD001
  # $0  PBDDR d(a1)  bset,      \ PB8 is output                                 \ MSD001
  next,
end-code

code led-on  (  -- ; turn LED on )
  # $0  $l PBDAT MBASE +  bclr,
  next,
end-code

code led-off  (  -- ; turn LED off )
  # $0  $l PBDAT MBASE +  bset,
  next,
end-code

[defined] ms [if]
  : led-blip
    led-off #333 ms
    led-on  #333 ms
    led-off #333 ms
  ;
[then]

